# CbcSolverLongThin Class Reference

This is to allow the user to replace initialSolve and resolve. More...

`#include <CbcSolverLongThin.hpp>`

Inheritance diagram for CbcSolverLongThin:
[legend]
Collaboration diagram for CbcSolverLongThin:
[legend]

List of all members.

## Public Member Functions
Solve methods
virtual void | initialSolve ()
| Solve initial LP relaxation.
virtual void | resolve ()
| Resolve an LP relaxation after problem modification.
Constructors and destructors
| CbcSolverLongThin ()
| Default Constructor.
virtual OsiSolverInterface * | clone (bool CopyData=true) const
| Clone.
| CbcSolverLongThin (const CbcSolverLongThin &)
| Copy constructor.
CbcSolverLongThin & | operator= (const CbcSolverLongThin &rhs)
| Assignment operator.
virtual | ~CbcSolverLongThin ()
| Destructor.
Sets and Getss
void | initialize (CbcModel *model, const char *keep)
| Setup arrays - ones in keep will always be in.
const int * | when () const
| get which ones have been used
int | getMemory () const
| Get memory (i.e. how recent use should be).
int | getCount () const
| Get current count.
void | setMemory (int value)
| Set memory (i.e. how recent use should be).
void | setBelieveInfeasible (bool yesNo)
| Say whether to believe infeasible.
void | setAlgorithm (int value)
| Say whether to just count usage.
void | setNested (double value)
| Do nested search if this fraction fixed.
int | getAlgorithm () const
| Say whether to just count usage.
double | getNested () const
| Do nested search if this fraction fixed.
## Private Attributes
Private member data
double | nestedSearch_
| Do nested search if this fraction fixed.
int * | node_
| Node number when variable last in problem.
int * | howMany_
| How many times in problem.
CbcModel * | model_
| Pointer back to model.
int | count_
| Counter.
int | memory_
| How recently it must have been used.
bool | believeInfeasible_
| If infeasible on subset means infeasible.
bool | algorithm_
| If 0 nothing, 1 compress and fix, 2 long thin.

## Detailed Description

This is to allow the user to replace initialSolve and resolve.

Definition at line 19 of file CbcSolverLongThin.hpp.

## Constructor & Destructor Documentation

CbcSolverLongThin::CbcSolverLongThin | ( |  | ) |

Default Constructor.

CbcSolverLongThin::CbcSolverLongThin | ( | const CbcSolverLongThin & |  | ) |

Copy constructor.

virtual CbcSolverLongThin::~CbcSolverLongThin | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void CbcSolverLongThin::initialSolve | ( |  | ) | `[virtual]`

Solve initial LP relaxation.

Reimplemented from OsiClpSolverInterface.

virtual void CbcSolverLongThin::resolve | ( |  | ) | `[virtual]`

Resolve an LP relaxation after problem modification.

Reimplemented from OsiClpSolverInterface.

virtual OsiSolverInterface* CbcSolverLongThin::clone | ( | bool | CopyData = `true` | ) | const`[virtual]`

Clone.

Reimplemented from OsiClpSolverInterface.

CbcSolverLongThin& CbcSolverLongThin::operator= | ( | const CbcSolverLongThin & | rhs | ) |

Assignment operator.

Reimplemented from OsiClpSolverInterface.

void CbcSolverLongThin::initialize | ( | CbcModel * | model,
|  | const char * | keep |
| ) |  |  |

Setup arrays - ones in keep will always be in.

const int* CbcSolverLongThin::when | ( |  | ) | const`[inline]`

get which ones have been used

Definition at line 59 of file CbcSolverLongThin.hpp.

int CbcSolverLongThin::getMemory | ( |  | ) | const`[inline]`

Get memory (i.e. how recent use should be).

Definition at line 62 of file CbcSolverLongThin.hpp.

int CbcSolverLongThin::getCount | ( |  | ) | const`[inline]`

Get current count.

Definition at line 65 of file CbcSolverLongThin.hpp.

void CbcSolverLongThin::setMemory | ( | int | value | ) | `[inline]`

Set memory (i.e. how recent use should be).

Definition at line 68 of file CbcSolverLongThin.hpp.

void CbcSolverLongThin::setBelieveInfeasible | ( | bool | yesNo | ) | `[inline]`

Say whether to believe infeasible.

Definition at line 71 of file CbcSolverLongThin.hpp.

void CbcSolverLongThin::setAlgorithm | ( | int | value | ) | `[inline]`

Say whether to just count usage.

Definition at line 74 of file CbcSolverLongThin.hpp.

void CbcSolverLongThin::setNested | ( | double | value | ) | `[inline]`

Do nested search if this fraction fixed.

Definition at line 77 of file CbcSolverLongThin.hpp.

int CbcSolverLongThin::getAlgorithm | ( |  | ) | const`[inline]`

Say whether to just count usage.

Definition at line 80 of file CbcSolverLongThin.hpp.

double CbcSolverLongThin::getNested | ( |  | ) | const`[inline]`

Do nested search if this fraction fixed.

Definition at line 83 of file CbcSolverLongThin.hpp.

## Member Data Documentation

double CbcSolverLongThin::nestedSearch_`[private]`

Do nested search if this fraction fixed.

Definition at line 94 of file CbcSolverLongThin.hpp.

int* CbcSolverLongThin::node_`[private]`

Node number when variable last in problem.

Definition at line 96 of file CbcSolverLongThin.hpp.

int* CbcSolverLongThin::howMany_`[private]`

How many times in problem.

Definition at line 98 of file CbcSolverLongThin.hpp.

CbcModel* CbcSolverLongThin::model_`[private]`

Pointer back to model.

Definition at line 100 of file CbcSolverLongThin.hpp.

int CbcSolverLongThin::count_`[private]`

Counter.

Definition at line 102 of file CbcSolverLongThin.hpp.

int CbcSolverLongThin::memory_`[private]`

How recently it must have been used.

Definition at line 104 of file CbcSolverLongThin.hpp.

bool CbcSolverLongThin::believeInfeasible_`[private]`

If infeasible on subset means infeasible.

Definition at line 106 of file CbcSolverLongThin.hpp.

bool CbcSolverLongThin::algorithm_`[private]`

If 0 nothing, 1 compress and fix, 2 long thin.

Definition at line 108 of file CbcSolverLongThin.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/examples/CbcSolverLongThin.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines